Debian Bug report logs - #624213
eclipse-platform: unmet dependencies with liblucene2-java

version graph

Package: eclipse-platform; Maintainer for eclipse-platform is Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>; Source for eclipse-platform is src:eclipse.

Reported by: Amine Brikci-Nigassa <nh2@libretlemcen.org>

Date: Tue, 26 Apr 2011 14:33:02 UTC

Severity: important

Found in version eclipse/3.5.2-9

Fixed in version eclipse/3.5.2-10

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, nh2@libretlemcen.org, Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#624213; Package eclipse-platform. (Tue, 26 Apr 2011 14:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Amine Brikci-Nigassa <nh2@libretlemcen.org>:
New Bug report received and forwarded. Copy sent to nh2@libretlemcen.org, Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 26 Apr 2011 14:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amine Brikci-Nigassa <nh2@libretlemcen.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: eclipse-platform: unmet dependencies with liblucene2-java
Date: Tue, 26 Apr 2011 16:30:15 +0200
Package: eclipse-platform
Version: 3.5.2-9
Severity: important


The following packages have unmet dependencies:
 eclipse-platform : Depends: liblucene2-java (< 2.9.4) but 2.9.4+ds1-1 is to be installed

Upgrade of package liblucene2-java to 2.9.4+ds1-1 breaks dependency with eclipse.
So eclipse users need to hold/downgrade liblucene2-java to 2.9.3+ds1-1 until bug fixed. 

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-4.slh.3-aptosid-686 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages eclipse-platform depends on:
ii  ant                         1.8.0-4      Java based build tool like make
ii  ant-optional                1.8.0-4      Java based build tool like make - 
ii  default-jre [java6-runtime] 1:1.6-40     Standard Java or Java compatible R
ii  eclipse-platform-data       3.5.2-9      Eclipse platform without plug-ins 
ii  eclipse-rcp                 3.5.2-9      Eclipse Rich Client Platform (RCP)
ii  java-common                 0.40         Base of all Java packages
ii  libc6                       2.11.2-11    Embedded GNU C Library: Shared lib
ii  libcommons-codec-java       1.5-1        encoder and decoders such as Base6
ii  libcommons-el-java          1.0-6        Implementation of the JSP2.0 Expre
ii  libcommons-httpclient-java  3.1-9        A Java(TM) library for creating HT
ii  libcommons-logging-java     1.1.1-8      commmon wrapper interface for seve
ii  libjasper-java              5.5.26-5     Implementation of the JSP Containe
ii  libjetty-java               6.1.24-6     Java servlet engine and webserver 
ii  libjsch-java                0.1.42-2     pure Java implementation of the SS
pn  liblucene2-java             <none>       (no description available)
ii  libservlet2.5-java          6.0.32-3     Servlet 2.5 and JSP 2.1 Java API c
ii  openjdk-6-jre [java6-runtim 6b18-1.8.7-3 OpenJDK Java runtime, using Hotspo
ii  perl                        5.10.1-20    Larry Wall's Practical Extraction 
ii  sat4j                       2.2.3-1      Efficient library of SAT solvers i

Versions of packages eclipse-platform recommends:
ii  eclipse-pde                   3.5.2-9    Eclipse Plug-in Development Enviro

Versions of packages eclipse-platform suggests:
ii  eclipse-jdt                   3.5.2-9    Eclipse Java Development Tools (JD

Versions of packages eclipse-platform is related to:
ii  eclipse-jdt                   3.5.2-9    Eclipse Java Development Tools (JD
ii  eclipse-pde                   3.5.2-9    Eclipse Plug-in Development Enviro

-- no debconf information




Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Tue, 10 May 2011 16:36:12 GMT) Full text and rfc822 format available.

Notification sent to Amine Brikci-Nigassa <nh2@libretlemcen.org>:
Bug acknowledged by developer. (Tue, 10 May 2011 16:36:12 GMT) Full text and rfc822 format available.

Message #10 received at 624213-close@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 624213-close@bugs.debian.org
Subject: Bug#624213: fixed in eclipse 3.5.2-10
Date: Tue, 10 May 2011 16:33:20 +0000
Source: eclipse
Source-Version: 3.5.2-10

We believe that the bug you reported is fixed in the latest version of
eclipse, which is due to be installed in the Debian FTP archive:

eclipse-jdt_3.5.2-10_i386.deb
  to main/e/eclipse/eclipse-jdt_3.5.2-10_i386.deb
eclipse-pde_3.5.2-10_i386.deb
  to main/e/eclipse/eclipse-pde_3.5.2-10_i386.deb
eclipse-platform-data_3.5.2-10_all.deb
  to main/e/eclipse/eclipse-platform-data_3.5.2-10_all.deb
eclipse-platform_3.5.2-10_i386.deb
  to main/e/eclipse/eclipse-platform_3.5.2-10_i386.deb
eclipse-plugin-cvs_3.5.2-10_i386.deb
  to main/e/eclipse/eclipse-plugin-cvs_3.5.2-10_i386.deb
eclipse-rcp_3.5.2-10_i386.deb
  to main/e/eclipse/eclipse-rcp_3.5.2-10_i386.deb
eclipse_3.5.2-10.debian.tar.gz
  to main/e/eclipse/eclipse_3.5.2-10.debian.tar.gz
eclipse_3.5.2-10.dsc
  to main/e/eclipse/eclipse_3.5.2-10.dsc
eclipse_3.5.2-10_all.deb
  to main/e/eclipse/eclipse_3.5.2-10_all.deb
libequinox-osgi-java_3.5.2-10_all.deb
  to main/e/eclipse/libequinox-osgi-java_3.5.2-10_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624213@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niels Thykier <niels@thykier.net> (supplier of updated eclipse package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 07 May 2011 22:08:35 +0200
Source: eclipse
Binary: eclipse eclipse-jdt eclipse-pde eclipse-platform eclipse-platform-data eclipse-plugin-cvs eclipse-rcp libequinox-osgi-java
Architecture: source all i386
Version: 3.5.2-10
Distribution: unstable
Urgency: low
Maintainer: Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Niels Thykier <niels@thykier.net>
Description: 
 eclipse    - Extensible Tool Platform and Java IDE
 eclipse-jdt - Eclipse Java Development Tools (JDT)
 eclipse-pde - Eclipse Plug-in Development Environment (PDE)
 eclipse-platform - Eclipse platform without plug-ins to develop any language
 eclipse-platform-data - Eclipse platform without plug-ins to develop any language (data)
 eclipse-plugin-cvs - Eclipse Team Integration (CVS support)
 eclipse-rcp - Eclipse Rich Client Platform (RCP)
 libequinox-osgi-java - Equinox OSGi framework
Closes: 616003 624213
Changes: 
 eclipse (3.5.2-10) unstable; urgency=low
 .
   [ Benjamin Drung ]
   * debian/extra/eclipse: Actually, don't export UBUNTU_MENUPROXY=0 here
     because that affects launched applications too.  Instead, it is
     blacklisted by appmenu-gtk (Closes: #616003).
 .
   [ Niels Thykier ]
   * Bump ant and lucene2 (Build-)Depends. (Closes: #624213)
   * Backported patch from upstream to improve the ant 1.8.2 support in
     eclipse.
   * Added lintian-overrides for codeless-jar and jar-no-in-usr-share,
     as they are mostly false-positives.
   * Backported a fix to the pdebuild script from eclipse-build.
   * Bumped Standards-Version to 3.9.2 - no changes required.
Checksums-Sha1: 
 227137016df50395d1a7d30017bcb1c13af3e8ac 3168 eclipse_3.5.2-10.dsc
 6f20c8149cb203b29c1f3f2c4d287918b2a02c1e 122789 eclipse_3.5.2-10.debian.tar.gz
 53ae867caa3e1bdecac747d2b512c093794197f5 47386 eclipse_3.5.2-10_all.deb
 e1feb3d36d1b2be6e4458c8bafff48829e77561c 40006236 eclipse-jdt_3.5.2-10_i386.deb
 814f3e867215a3cfd181bdf971b2e9cec639777a 16097552 eclipse-pde_3.5.2-10_i386.deb
 a00aa0c48dd267f943d44d5219c498fe89482d85 40281486 eclipse-platform_3.5.2-10_i386.deb
 fc0f4f4cf70caa695f3ad6b537eacbb5459a7f3a 29631646 eclipse-platform-data_3.5.2-10_all.deb
 1b1a1a9fed95c1751ae69b03a54d98faf7b9879a 3190402 eclipse-plugin-cvs_3.5.2-10_i386.deb
 32dc9e2faef7d1dc6d9c58724ecc4a396d33f7a3 15801026 eclipse-rcp_3.5.2-10_i386.deb
 27d9c8c498c466c9bfc5dd394db55cb57b73bb87 3223342 libequinox-osgi-java_3.5.2-10_all.deb
Checksums-Sha256: 
 2c14feee8079ff66892771a205be0bdbea45319a0738084167db730aed009b77 3168 eclipse_3.5.2-10.dsc
 c45bec9f247f50ed26e1fa094f1fb9d8b40a2cb9f96735f3ce1ae7d6928740c9 122789 eclipse_3.5.2-10.debian.tar.gz
 42a77b11ada4e37246bae9b2ecfc90700dc09fe0887d4499c221a3bf495a19a6 47386 eclipse_3.5.2-10_all.deb
 cbba8754b0bdceaa2be1b52d46647567695101cafa5d2bf5608e68c69dde1109 40006236 eclipse-jdt_3.5.2-10_i386.deb
 91d419fd6838423ae1651942f5d457ccc9024a485a725edf4100b6a85e46063a 16097552 eclipse-pde_3.5.2-10_i386.deb
 1eb4aea5c2273021a0087d052ecd0a7df45c56a630b8602140c6a27d0d293fb7 40281486 eclipse-platform_3.5.2-10_i386.deb
 1f4a45fc7edb955efd0f836f17dc3379f7599c537aff0d96f20b44e157db5693 29631646 eclipse-platform-data_3.5.2-10_all.deb
 6019ef5e5b839380bfd216127badd0b78aa0e855adac71f193600572c6d6d269 3190402 eclipse-plugin-cvs_3.5.2-10_i386.deb
 60485f4b180aba141924c7227dd970776ed4a2b78a55115fa6d8654916e44e9c 15801026 eclipse-rcp_3.5.2-10_i386.deb
 89750dc971b51ff173e705ad236b7db93a8128d65c040ea9d19a1f09ffb73a1c 3223342 libequinox-osgi-java_3.5.2-10_all.deb
Files: 
 48a628e9a2ab25aacc8eb8d4006f1eab 3168 devel optional eclipse_3.5.2-10.dsc
 7ca54691eec4e258b376d60f0409cbb3 122789 devel optional eclipse_3.5.2-10.debian.tar.gz
 b902026cfc5a21b10b5cd66bc5280103 47386 devel optional eclipse_3.5.2-10_all.deb
 e0ab7ee556fa1468a579de707d9f8797 40006236 devel optional eclipse-jdt_3.5.2-10_i386.deb
 8bfd1b6a4a5a9358c63c0fce88db06a5 16097552 devel optional eclipse-pde_3.5.2-10_i386.deb
 7a1f63db41f6790b48b236ad3d4b6b5b 40281486 devel optional eclipse-platform_3.5.2-10_i386.deb
 634e12af8c70e9d043e913d06d7f8d48 29631646 devel optional eclipse-platform-data_3.5.2-10_all.deb
 eb61318a64e8d46e5333da9ddd3d9513 3190402 devel optional eclipse-plugin-cvs_3.5.2-10_i386.deb
 ee26b0c16be07ce14cabf8aa877b9f8c 15801026 devel optional eclipse-rcp_3.5.2-10_i386.deb
 2a2d5e6c40764a45dc623e5636a5d8f7 3223342 java optional libequinox-osgi-java_3.5.2-10_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNyWYRAAoJEAVLu599gGRC9IIP/3iUxNwcuYhlMHxghsSyi2xN
11A0R4JMClPGer8UDU1rDw3xRWViP3pYI01LYPUCMoIFyI59crxJ6TrnNJ+pVTHZ
P0z1AYYMd1BhKkivigQb3qI0F5LFm7ncZkrql6RMCnj1gtrMsrQJGs5/IAgw+LXe
BDPh6oAYOirvVNva6LLPNUZhgzBQ/f2Mvo57VSg4eSzmS/PqN32LA9X+q5oMmT7S
a35j1yH+CMWxm+cJlMmQxlDNCAxD1VTKMeHVKH1uUunNMtNSQciMpO31LKUmw8Bo
0ktKLAwooxu6MN42bfwtDZHC0OxTP/4CTfrxRGG3qRFnEis0GGWpJ+eVdkO8NRbP
Byiyyg7XCWs0McIj7GRTxcLTIVusgd1ur5x3slK8qdXA/M9RFAbutc0IH57lqfZX
+c8q07EwkZVC3S66694nqgpyRvNYhV7vB8OGy+eN2iDAKwqi0G8l6YUVag4JDnOQ
Sl/A6r7pPWuz6y5QHZpw02fdcLv2eZQmhQzuQn9g3z9VjDCBz26MUP3zBka03cBP
F3mCv2zHFMMqYbS/h167OxgrCmhUOnEdFFsHekDUbAaa6qc2APOQIHngNlxYK2Uo
G34PynQCYPTtZx96XZfOX1SWAkmLTPTUtQEJIZ60mXox9Ind3Z4GVByeesNdH99d
QXphaUgBZQFvzEF/bCs6
=80Df
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 05 Aug 2011 07:33:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:36:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.